---
- name: Configure firewall for webserver
  ansible.builtin.include_role:
    name: let.services.firewall
    tasks_from: webserver

- name: Install nginx
  ansible.builtin.dnf:
    name: nginx
    state: present

- name: Ensure nginx is enabled
  ansible.builtin.service:
    name: nginx
    enabled: true

- name: Request certificate
  ansible.builtin.include_role:
    name: thermistor.acme_sh
  vars:
    acme_sh_dns_provider: dns_acmedns
    acme_sh_env:
      ACMEDNS_BASE_URL: "{{ acmedns_base_url }}"
      ACMEDNS_USERNAME: "{{ acmedns_username }}"
      ACMEDNS_PASSWORD: "{{ acmedns_password }}"
      ACMEDNS_SUBDOMAIN: "{{ acmedns_subdomain }}"

- name: Deploy proxy configuration
  ansible.builtin.template:
    src: nginx_matomo.conf
    dest: /etc/nginx/conf.d/nginx_matomo.conf
    owner: root
    group: root
    mode: "0644"
  notify: Restart nginx

- name: Deploy configuration snippets
  ansible.builtin.copy:
    src: "{{ item }}"
    dest: "/etc/nginx/{{ item }}"
    owner: root
    group: root
    mode: "0644"
  loop:
    - ssl.conf
    - fastcgi.conf

- name: SELinux permission to relay requests
  when: not selinux_disable
  ansible.posix.seboolean:
    name: httpd_can_network_connect
    state: true
    persistent: true

- name: Ensure nginx is active
  ansible.builtin.service:
    name: nginx.service
    enabled: true
